aboutsummaryrefslogtreecommitdiff
path: root/nixos/modules/nixos-system.sh
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2025-01-23 15:31:16 +0100
committerKarel Kočí <cynerd@email.cz>2025-01-23 15:31:16 +0100
commit31661e73a6ce84a25be1b80ee898fe7fe63b16b6 (patch)
tree623e2efb274d96a9f027e8907110f7ae236f6a81 /nixos/modules/nixos-system.sh
parent49499f75055ce669a439ecdcd964ad64cb591fd9 (diff)
downloadnixos-personal-31661e73a6ce84a25be1b80ee898fe7fe63b16b6.tar.gz
nixos-personal-31661e73a6ce84a25be1b80ee898fe7fe63b16b6.tar.bz2
nixos-personal-31661e73a6ce84a25be1b80ee898fe7fe63b16b6.zip
nixos: refactor the modules
Diffstat (limited to 'nixos/modules/nixos-system.sh')
-rw-r--r--nixos/modules/nixos-system.sh27
1 files changed, 0 insertions, 27 deletions
diff --git a/nixos/modules/nixos-system.sh b/nixos/modules/nixos-system.sh
deleted file mode 100644
index 7a220bb..0000000
--- a/nixos/modules/nixos-system.sh
+++ /dev/null
@@ -1,27 +0,0 @@
-#!@shell@
-# Simple script handy to be used for activation
-
-while getopts "s" opt; do
- case "$opt" in
- s)
- if [ ! -v NIXOS_SYSTEM_GNU_SCREEN ]; then
- export NIXOS_SYSTEM_GNU_SCREEN=1
- exec @out@/sw/bin/screen "$0" "$@"
- fi
- ;;
- *)
- echo "Invalid argument: $1" >&2
- exit 1
- ;;
- esac
-done
-shift $((OPTIND - 1))
-
-
-@out@/sw/bin/nix-env --profile /nix/var/nix/profiles/system --set '@out@'
-
-@out@/bin/switch-to-configuration "$@" || {
- echo "Switch failed!" >&2
- read -r _
- exit 1
-}